| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Member Functions | Public Attributes | List of all members
nkExport::ExporterLoadResult Struct Referencefinal

Holds the information about a try to import data sources. More...

## Public Member Functions
| ExporterLoadResult () noexcept
| ExporterLoadResult (const ExporterLoadResult &)=delete
| ExporterLoadResult (ExporterLoadResult &&other) noexcept
ExporterLoadResult & | operator= (const ExporterLoadResult &)=delete
ExporterLoadResult & | operator= (ExporterLoadResult &&) noexcept

## Public Attributes
nkMemory::UniquePtr< Node > | _tree
ExportError | _error

## Detailed Description

Holds the information about a try to import data sources.

If the import was successful, it will hold the parsed tree. If there was a failure, it will hold an error flagged as active and filled with related information.

## Constructor & Destructor Documentation

## ◆ ExporterLoadResult() [1/3]

nkExport::ExporterLoadResult::ExporterLoadResult | ( |  | ) |
| noexcept

Default constructor.

## ◆ ExporterLoadResult() [2/3]

nkExport::ExporterLoadResult::ExporterLoadResult | ( | const ExporterLoadResult & |  | ) |
| delete

Copy constructor.

## ◆ ExporterLoadResult() [3/3]

nkExport::ExporterLoadResult::ExporterLoadResult | ( | ExporterLoadResult && | other | ) |
| noexcept

Move constructor.

Parameters

  other | The results to move from.

## Member Function Documentation

## ◆ operator=() [1/2]

ExporterLoadResult& nkExport::ExporterLoadResult::operator= | ( | const ExporterLoadResult & |  | ) |
| delete

Copy assignment operator.

## ◆ operator=() [2/2]

ExporterLoadResult& nkExport::ExporterLoadResult::operator= | ( | ExporterLoadResult && |  | ) |
| noexcept

Move assignment operator.

## Member Data Documentation

## ◆ _tree

nkMemory::UniquePtr<Node> nkExport::ExporterLoadResult::_tree

The resulting parsed tree, if successful.

## ◆ _error

ExportError nkExport::ExporterLoadResult::_error

The parsing error filled with information, if any.

The documentation for this struct was generated from the following file:

- Documentation/Headers/NilkinsExport/Exporter/ExporterLoadResult.h